package com.bonus.canteen.core.menu.service;

import java.time.LocalDate;
import java.util.List;

import com.bonus.canteen.core.alloc.domain.AllocMobileCanteenQueryDTO;
import com.bonus.canteen.core.alloc.domain.AppletReserveCanteenVO;
import com.bonus.canteen.core.menu.domain.MenuAppRecipe;
import com.bonus.canteen.core.menu.dto.AppletReserveRecipeDTO;
import com.bonus.canteen.core.menu.vo.AppletReserveRecipeVO;

/**
 * 移动端菜谱绑定关系Service接口
 * 
 * @author xsheng
 * @date 2025-04-03
 */
public interface IMenuAppRecipeService {
    /**
     * 查询移动端菜谱绑定关系
     * 
     * @param id 移动端菜谱绑定关系主键
     * @return 移动端菜谱绑定关系
     */
    public MenuAppRecipe selectMenuAppRecipeById(Long id);

    /**
     * 查询移动端菜谱绑定关系列表
     * 
     * @param menuAppRecipe 移动端菜谱绑定关系
     * @return 移动端菜谱绑定关系集合
     */
    public List<MenuAppRecipe> selectMenuAppRecipeList(MenuAppRecipe menuAppRecipe);

    /**
     * 新增移动端菜谱绑定关系
     * 
     * @param menuAppRecipe 移动端菜谱绑定关系
     * @return 结果
     */
    public int insertMenuAppRecipe(MenuAppRecipe menuAppRecipe);

    /**
     * 修改移动端菜谱绑定关系
     * 
     * @param menuAppRecipe 移动端菜谱绑定关系
     * @return 结果
     */
    public int updateMenuAppRecipe(MenuAppRecipe menuAppRecipe);

    /**
     * 批量删除移动端菜谱绑定关系
     * 
     * @param ids 需要删除的移动端菜谱绑定关系主键集合
     * @return 结果
     */
    public int deleteMenuAppRecipeByIds(Long[] ids);

    /**
     * 删除移动端菜谱绑定关系信息
     * 
     * @param id 移动端菜谱绑定关系主键
     * @return 结果
     */
    public int deleteMenuAppRecipeById(Long id);

    public List<AppletReserveCanteenVO> getReserveMealCanteenList();

    public List<LocalDate> listReserveDate(AllocMobileCanteenQueryDTO queryDTO);

    public List<AppletReserveRecipeVO> getReserveRecipeDetailList(AppletReserveRecipeDTO content);
}
